Subject: bug#68868: closed (Re: bug#68868: A Guided Tour of Emacs: function phases-of-moon doesn't exist, but function lunar-phases does)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 03 Feb 2024 09:49:02 +0000

Your bug report

#68868: A Guided Tour of Emacs: function phases-of-moon doesn't exist, but function lunar-phases does

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68868: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68868
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#68868: A Guided Tour of Emacs: function phases-of-moon doesn't exist, but function lunar-phases does
From: Eli Zaretskii <[email-masked]>
To: Paul Smith <[email-masked]>
Cc: [email-masked]
Date: Sat, 03 Feb 2024 11:47:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 1 Feb 2024 02:11:15 -0700
> From: Paul Smith <[email-masked]>
> 
> This is the guided tour page: https://www.gnu.org/software/emacs/tour/
> 
> On the guided tour page, there's this line:
> "M-x phases-of-moon  Shows upcoming quarters of the moon."
> 
> Launching Emacs with "emacs -Q" and doing an apropos-command search via 
> "C-h a" for "moon" didn't give any results. Doing another search for 
> "phases" showed "lunar-phases".
> 
> I think "M-x phases-of-moon" is meant to be "M-x lunar-phases": 
> https://www.gnu.org/software/emacs/manual/html_node/emacs/Lunar-Phases.html

It was originally indeed called phases-of-moon, was renamed in 2008,
and the obsolete alias kept for backward compatibility was removed in
2014.

Thanks, I fixed the Guided Tour page to mention the current name of
the command, and I'm therefore closing this bug.

Subject: A Guided Tour of Emacs: function phases-of-moon doesn't exist, but function lunar-phases does
From: Paul Smith <[email-masked]>
To: [email-masked]
Date: Thu, 1 Feb 2024 02:11:15 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

This is the guided tour page: https://www.gnu.org/software/emacs/tour/

On the guided tour page, there's this line:
"M-x phases-of-moon  Shows upcoming quarters of the moon."

Launching Emacs with "emacs -Q" and doing an apropos-command search via 
"C-h a" for "moon" didn't give any results. Doing another search for 
"phases" showed "lunar-phases".

I think "M-x phases-of-moon" is meant to be "M-x lunar-phases": 
https://www.gnu.org/software/emacs/manual/html_node/emacs/Lunar-Phases.html

My output from "M-x emacs-version":
GNU Emacs 29.2 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.40, 
cairo version 1.18.0)

Please let me know if there's a better way to send something this small!